package com.wechat.model.responseDto;

import java.util.List;

import com.wechat.model.dto.ActivityDetailDto;
import com.wechat.model.dto.ActivityInfoDto;
import com.wechat.model.dto.BaseUserDto;
import com.wechat.model.dto.BeInvitedDtlDto;
import com.wechat.model.dto.InvitationNumDto;

public class InvitationInitResp {

	private InvitationNumDto invitationNum;
	
	private String inviter;

	private ActivityInfoDto activityInfo;
	
	private BaseUserDto baseUser;

	private List<ActivityDetailDto> activityDetail;

	private List<BeInvitedDtlDto> beInvitedDtlList;

	public InvitationNumDto getInvitationNum() {
		return invitationNum;
	}

	public void setInvitationNum(InvitationNumDto invitationNum) {
		this.invitationNum = invitationNum;
	}

	public ActivityInfoDto getActivityInfo() {
		return activityInfo;
	}

	public void setActivityInfo(ActivityInfoDto activityInfo) {
		this.activityInfo = activityInfo;
	}

	public List<ActivityDetailDto> getActivityDetail() {
		return activityDetail;
	}

	public void setActivityDetail(List<ActivityDetailDto> activityDetail) {
		this.activityDetail = activityDetail;
	}

	public List<BeInvitedDtlDto> getBeInvitedDtlList() {
		return beInvitedDtlList;
	}

	public void setBeInvitedDtlList(List<BeInvitedDtlDto> beInvitedDtlList) {
		this.beInvitedDtlList = beInvitedDtlList;
	}

	public String getInviter() {
		return inviter;
	}

	public void setInviter(String inviter) {
		this.inviter = inviter;
	}

	public BaseUserDto getBaseUser() {
		return baseUser;
	}

	public void setBaseUser(BaseUserDto baseUser) {
		this.baseUser = baseUser;
	}

}
